ompi/mca/allocator/allocator.h File Reference.TH "ompi/mca/allocator/allocator.h" 3 "7 Dec 2005" "Version 0.1.1" "OpenMPI" \" -*- nroff -*-
.ad l
.nh
.SH NAME
ompi/mca/allocator/allocator.h \- The public definition of the MCA Allocator framework. 
.SH SYNOPSIS
.br
.PP
\fC#include 'mca/mca.h'\fP
.br
\fC#include 'mca/mpool/mpool.h'\fP
.br

.SS "Defines"

.in +1c
.ti -1c
.RI "#define \fBMCA_ALLOCATOR_BASE_VERSION_1_0_0\fP"
.br
.RI "\fIMacro for use in components that are of type allocator v1.0.0. \fP"
.in -1c
.SS "Typedefs"

.in +1c
.ti -1c
.RI "typedef void *(* \fBmca_allocator_base_module_realloc_fn_t\fP )(struct \fBmca_allocator_base_module_t\fP *, void *, size_t, mca_mpool_base_registration_t **registration)"
.br
.RI "\fIThe realloc function typedef. \fP"
.ti -1c
.RI "typedef void(* \fBmca_allocator_base_module_free_fn_t\fP )(struct \fBmca_allocator_base_module_t\fP *, void *)"
.br
.RI "\fIFree function typedef. \fP"
.ti -1c
.RI "typedef int(* \fBmca_allocator_base_module_compact_fn_t\fP )(struct \fBmca_allocator_base_module_t\fP *allocator)"
.br
.RI "\fIcompact/return memory to higher level allocator \fP"
.ti -1c
.RI "typedef int(* \fBmca_allocator_base_module_finalize_fn_t\fP )(struct \fBmca_allocator_base_module_t\fP *allocator)"
.br
.RI "\fIcleanup (free) any resources held by allocator \fP"
.ti -1c
.RI "typedef \fBmca_allocator_base_module_t\fP \fBmca_allocator_base_module_t\fP"
.br
.RI "\fIConvenience typedef. \fP"
.ti -1c
.RI "typedef void *(* \fBmca_allocator_base_component_segment_alloc_fn_t\fP )(struct \fBmca_mpool_base_module_t\fP *module, size_t *size, mca_mpool_base_registration_t **registration)"
.br
.RI "\fIA function to get more memory from the system. \fP"
.ti -1c
.RI "typedef void *(* \fBmca_allocator_base_component_segment_free_fn_t\fP )(struct \fBmca_mpool_base_module_t\fP *module, void *segment)"
.br
.RI "\fIA function to free memory from the control of the allocator framework back to the system. \fP"
.ti -1c
.RI "typedef \fBmca_allocator_base_module_t\fP *(* \fBmca_allocator_base_component_init_fn_t\fP )(bool enable_mpi_threads, \fBmca_allocator_base_component_segment_alloc_fn_t\fP segment_alloc, \fBmca_allocator_base_component_segment_free_fn_t\fP segment_free, struct \fBmca_mpool_base_module_t\fP *mpool)"
.br
.RI "\fIThe function used to initialize the component. \fP"
.ti -1c
.RI "typedef \fBmca_allocator_base_component_1_0_0_t\fP \fBmca_allocator_base_component_t\fP"
.br
.RI "\fIConvenience typedef. \fP"
.in -1c
.SS "Variables"

.in +1c
.ti -1c
.RI "struct typedef void *(* \fBmca_allocator_base_module_alloc_fn_t\fP )(struct \fBmca_allocator_base_module_t\fP *, size_t size, size_t align, mca_mpool_base_registration_t **registration)"
.br
.RI "\fIThe allocate function typedef for the function to be provided by the component. \fP"
.ti -1c
.RI "OMPI_DECLSPEC int \fBmca_allocator_base_output\fP"
.br
.RI "\fIThe output integer used for the mca base. \fP"
.in -1c
.SH "Detailed Description"
.PP 
The public definition of the MCA Allocator framework. 


.SH "Define Documentation"
.PP 
.SS "#define MCA_ALLOCATOR_BASE_VERSION_1_0_0"
.PP
\fBValue:\fP
.PP
.nf
/* allocator v1.0 is chained to MCA v1.0 */ \
  MCA_BASE_VERSION_1_0_0, \
  /* allocator v1.0 */ \
  'allocator', 1, 0, 0
.fi
Macro for use in components that are of type allocator v1.0.0. 
.PP
.SH "Typedef Documentation"
.PP 
.SS "typedef void*(* \fBmca_allocator_base_component_segment_alloc_fn_t\fP)(struct \fBmca_mpool_base_module_t\fP *module, size_t *size, mca_mpool_base_registration_t **registration)"
.PP
A function to get more memory from the system. 
.PP
This function is to be provided by the module to the allocator framework. 
.SS "typedef void*(* \fBmca_allocator_base_component_segment_free_fn_t\fP)(struct \fBmca_mpool_base_module_t\fP *module, void *segment)"
.PP
A function to free memory from the control of the allocator framework back to the system. 
.PP
This function is to be provided by the module to the allocator frmaework. 
.SH "Author"
.PP 
Generated automatically by Doxygen for OpenMPI from the source code.
